<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="affectation">
      <h2 data-cy="affectationDetailsHeading"><span jhiTranslate="gestionPersonnel3App.affectation.detail.title">Affectation</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ affectation.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.affectation.dateAffectation">Date Affectation</span></dt>
        <dd>
          <span>{{ affectation.dateAffectation | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.affectation.region">Region</span></dt>
        <dd>
          <div *ngIf="affectation.region">
            <a [routerLink]="['/region', affectation.region.id, 'view']">{{ affectation.region.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.affectation.fonction">Fonction</span></dt>
        <dd>
          <div *ngIf="affectation.fonction">
            <a [routerLink]="['/fonction', affectation.fonction.id, 'view']">{{ affectation.fonction.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.affectation.employe">Employe</span></dt>
        <dd>
          <div *ngIf="affectation.employe">
            <a [routerLink]="['/employe', affectation.employe.id, 'view']">{{ affectation.employe.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.affectation.structure">Structure</span></dt>
        <dd>
          <div *ngIf="affectation.structure">
            <a [routerLink]="['/structure', affectation.structure.id, 'view']">{{ affectation.structure.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/affectation', affectation.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
